## Index

### Type aliases

- CallBackReduceRight

### Functions

- reduceRight

## Type aliases

### CallBackReduceRight

CallBackReduceRight: function

- Defined in methods/reduce_right.ts:2

returns any type value

#### Type declaration

- - (accumulator: T | R, value: T, index?: undefined | number, collection?: T[]): Promise<T | R>

  - #### Parameters

    - ##### accumulator: T | R

    - ##### value: T

    - ##### Optional index: undefined | number

    - ##### Optional collection: T[]

    #### Returns Promise<T | R>

## Functions

### reduceRight

- reduceRight<T, R>(elements: T[], cb: CallBackReduceRight<T, R>, initialValue?: R): Promise<T | R>

- - Defined in methods/reduce_right.ts:20

  Async ReduceRight function

  export
  template

    T

  template

    R

  #### Type parameters

  - #### T

  - #### R

  #### Parameters

  - ##### elements: T[]

  - ##### cb: CallBackReduceRight<T, R>

  - ##### Optional initialValue: R

  #### Returns Promise<T | R>

Generated using TypeDoc